Summary:	A C++ interface for atk library - cross MinGW32 version
Summary(pl.UTF-8):	Interfejs C++ dla biblioteki atk - wersja skrośna MinGW32
Name:		crossmingw32-atkmm
Version:	2.28.4
Release:	1
License:	LGPL v2.1+
Group:		Development/Libraries
Source0:	https://download.gnome.org/sources/atkmm/2.28/atkmm-%{version}.tar.xz
# Source0-md5:	e0f7271990c89a6c9987f215ba47bfc5
URL:		https://www.gtkmm.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	crossmingw32-atk >= 2.18.0
BuildRequires:	crossmingw32-gcc-c++ >= 1:4.7
BuildRequires:	crossmingw32-glibmm >= 2.46.2
# for gmmproc tools
BuildRequires:	glibmm-devel >= 2.46.2
BuildRequires:	libtool >= 2:2.0
BuildRequires:	mm-common >= 0.9.10
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-atk >= 2.18.0
Requires:	crossmingw32-gcc-c++ >= 1:4.7
Requires:	crossmingw32-glibmm >= 2.46.2
Provides:	crossmingw32-gtkmm-atk
Obsoletes:	crossmingw32-gtkmm-atk < 2.22.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1
%define		_enable_debug_packages	0

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%define		_ssp_cflags		%{nil}
%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c		-f[-a-z0-9=]*

%description
A C++ interface for atk library - cross MinGW32 version.

%description -l pl.UTF-8
Interfejs C++ dla biblioteki atk - wersja skrośna MinGW32.

%package static
Summary:	Static atkmm library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka atkmm (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	crossmingw32-gtkmm-atk-static
Obsoletes:	crossmingw32-gtkmm-atk-static < 2.22.0

%description static
Static atkmm library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka atkmm (wersja skrośna MinGW32).

%package dll
Summary:	DLL atkmm library for Windows
Summary(pl.UTF-8):	Biblioteka DLL atkmm dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-atk-dll >= 2.18.0
Requires:	crossmingw32-glibmm-dll >= 2.46.2
Requires:	wine
Provides:	crossmingw32-gtkmm-atk-dll
Obsoletes:	crossmingw32-gtkmm-atk-dll < 2.22.0

%description dll
DLL atkmm library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL atkmm dla Windows.

%prep
%setup -q -n atkmm-%{version}

%build
# use host gmmprocdir (before changing PKG_CONFIG_LIBDIR to cross target)
# note: rpm.org sets PKG_CONFIG_PATH according to _libdir and _datadir
GMMPROC_DIR=$(PKG_CONFIG_PATH=%{_sysprefix}/%{_lib}/pkgconfig pkg-config --variable=gmmprocdir glibmm-2.4)
export PKG_CONFIG_PATH=%{_prefix}/lib/pkgconfig:%{_npkgconfigdir}
mm-common-prepare --copy --force
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
# std-threads required by glibmm requires at least WinXP API
CPPFLAGS="%{rpmcppflags} -DWINVER=0x0501"
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-documentation \
	--enable-maintainer-mode \
	--disable-silent-rules \
	--enable-static

%{__make} \
	GMMPROC_DIR="$GMMPROC_DIR"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libatkmm-*.la

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README.md
%{_libdir}/libatkmm-1.6.dll.a
%{_libdir}/atkmm-1.6
%{_includedir}/atkmm-1.6
%{_pkgconfigdir}/atkmm-1.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libatkmm-1.6.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libatkmm-1.6-1.dll
%changelog
* Sun Jan 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-atkmm.git;a=log;h=master

* Sun Jan 28 2024 Jakub Bogusz <qboosh@pld-linux.org> 422f2a6
- updated to 2.28.4

* Tue Jul 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 22ff450
- updated to 2.28.3

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 6fdd4b9
- adjusted gmmproc hack to work with rpm.org; release 2

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> b00aa1e
- versioned Obsoletes

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 1aca31b
- updated to 2.28.2
- disable debug packages

* Mon Dec 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 7ec6b01
- updated to 2.28.1

* Thu Sep 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 750bb2d
- drop .la file; release 3

* Thu Sep 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 3bf1d48
- explicit dll "soname"

* Sat Dec 22 2018 Jakub Bogusz <qboosh@pld-linux.org> dc999f0
- release 2

* Tue Nov 13 2018 Jakub Bogusz <qboosh@pld-linux.org> c130290
- updated to 2.28.0

* Fri Oct 05 2018 Jakub Bogusz <qboosh@pld-linux.org> 65dd037
- enable WinXP APIs for std-threads; release 3

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 35068f9
- release 2

* Wed Dec 02 2015 Jakub Bogusz <qboosh@pld-linux.org> ddf66f9
- updated to 2.24.2

* Tue Sep 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 8bbf15f
- updated to 2.24.1; C++11 now

* Thu Apr 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 712cd27
- updated to 2.22.7

* Mon Apr 22 2013 Elan Ruusamäe <glen@delfi.ee> 45cd917
- remove default stack protector flags

* Sun Apr 21 2013 Elan Ruusamäe <glen@delfi.ee> 3b87630
- added filterout_c for -f* options

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 03d6cea
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 22d83d6
- do not provide pkgconfig deps in system namespace

* Wed Oct 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 7cb8459
- updated to 2.22.6

